#
# spec file for package rubygem-hitimes
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-hitimes
Version:        1.2.3
Release:        3.7
%define mod_name hitimes
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/copiousfreetime/hitimes
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Hitimes is a fast, high resolution timer library for recording
License:        ISC
Group:          Development/Languages/Ruby

%description
Hitimes is a fast, high resolution timer library for recording performance
metrics.  It uses the appropriate low method calls for each system to get the
highest granularity time increments possible. It currently supports any of the
following systems: * any system with the POSIX call `clock_gettime()` * Mac OS
X * Windows * JRuby Using Hitimes can be faster than using a series of
`Time.new` calls, and it will have a much higher granularity. It is definitely
faster than using `Process.times`.

%prep

%build

%install
%gem_install \
  --doc-files="HISTORY.md LICENSE README.md" \
  -f
%gem_cleanup
# MANUAL
find %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/ -name "*.[h|c]" -exec rm {} \;
# /MANUAL

%gem_packages

%changelog
* Mon Sep 14 2015 coolo@suse.com
- updated to version 1.2.3
  see installed HISTORY.md
  [#]# Version 1.2.3 2015-09-13
  * Release new fatbinary version for windows
  * Update README to indicate duration units
  * Provide a more friendly error message if the gem is not installed correctly
* Fri Oct 24 2014 tboerger@suse.com
- Initial packaging of 1.2.2
